Subject: Posters
From: "George Keck" <[email-masked]>
To: "Mike" <[email-masked]>
Date: Mon, 3 Oct 2011 16:04:14 -0400

Hi Mike, I checked and we do have 750 each of California English to
laminate yet. I will get them to you tomorrow. Everything else is done
except the Federal English (we have 6500) yet to laminate and the NLRA
poster about 15,000 yet to laminate. We also have the posters you just
sent last week and a few Spanish that we sent last week. Any questions
please call. Thanks George